org.eclipse.wst.jsdt.chromium.debug.core

## Class ChromiumSourceDirector

- java.lang.Object
- - AbstractSourceLookupDirector
  - - org.eclipse.wst.jsdt.chromium.debug.core.ChromiumSourceDirector

    public class ChromiumSourceDirector
    extends AbstractSourceLookupDirector

A source lookup director implementation that provides a simple participant and accepts instance of virtual project once it is created.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumSourceDirector()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`VmResourceRef` `findVmResourceRef(IFile file)`
`ResourceManager` `getResourceManager()`
`ReverseSourceLookup` `getReverseSourceLookup()`
`void` `initializeParticipants()`
`void` `initializeVProjectContainers(IProject project, ResourceManager resourceManager, JavascriptVmEmbedder javascriptVmEmbedder)`
`boolean` `isFindDuplicates()`
`static LaunchParams.LookupMode` `readLookupMode(ILaunchConfiguration launchConfiguration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumSourceDirector

    public ChromiumSourceDirector()

### Method Detail

#### initializeParticipants

    public void initializeParticipants()

#### findVmResourceRef

    public VmResourceRef findVmResourceRef(IFile file)
                                    throws CoreException

Throws:
  `CoreException`

#### readLookupMode

    public static LaunchParams.LookupMode readLookupMode(ILaunchConfiguration launchConfiguration)
                                                  throws CoreException

Throws:
  `CoreException`

#### isFindDuplicates

    public boolean isFindDuplicates()

#### initializeVProjectContainers

    public void initializeVProjectContainers(IProject project,
                                             ResourceManager resourceManager,
                                             JavascriptVmEmbedder javascriptVmEmbedder)

#### getReverseSourceLookup

    public ReverseSourceLookup getReverseSourceLookup()

#### getResourceManager

    public ResourceManager getResourceManager()